### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-app/deprecated/common/ecl-app.component.ts`

### Deprecated

### Implements

`AfterViewInit` `OnDestroy`

### Metadata

template

    <div></div>

### Index

###### Properties

- Public languages

###### Outputs

- languageDismiss

### Constructor

`constructor(config: GlobalConfig, eclLanguageService: EclLanguageService, i18nService: I18nService, cd: ChangeDetectorRef)`

Parameters :

Name | Type | Optional
config | `GlobalConfig` | No
eclLanguageService | `EclLanguageService` | No
i18nService | `I18nService` | No
cd | `ChangeDetectorRef` | No

### Outputs

languageDismiss
Type : `EventEmitter`

### Properties

Public languages
Type : `Array<EclLanguage>`
Default value : `[]`

# results matching ""

# No results matching ""